#
# spec file for package python-cursive
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-cursive
Version:        0.1.1
Release:        3.2
Summary:        Cursive implements OpenStack-specific validation of digital signatures
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         https://pypi.io/packages/source/c/cursive/cursive-%{version}.tar.gz
BuildRequires:  python-castellan >= 0.4.0
BuildRequires:  python-cryptography >= 1.0
BuildRequires:  python-devel
BuildRequires:  python-lxml >= 2.3
BuildRequires:  python-netifaces >= 0.10.4
BuildRequires:  python-oslo.i18n >= 2.1.0
BuildRequires:  python-oslo.serialization >= 1.10.0
BuildRequires:  python-oslo.utils >= 3.16.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-setuptools
BuildRequires:  python-six >= 1.9.0
# test requirements
BuildRequires:  python-oslosphinx >= 2.5.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-python-subunit >= 0.0.18
BuildRequires:  python-reno >= 1.8.0
BuildRequires:  python-sphinx >= 1.2.1
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-castellan >= 0.4.0
Requires:       python-cryptography >= 1.0
Requires:       python-lxml >= 2.3
Requires:       python-netifaces >= 0.10.4
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-pbr >= 1.6
Requires:       python-six >= 1.9.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Cursive implements OpenStack-specific validation of digital signatures.
As OpenStack continues to mature, robust security controls become increasingly
critical. The cursive project contains code extracted from various OpenStack
projects for verifying digital signatures. Additional capabilities will be
added to this project in support of various security features.

%prep
%setup -q -n cursive-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE AUTHORS README.rst
%{python_sitelib}/*

%changelog
* Mon Sep  5 2016 tbechtold@suse.com
- Initial packaging (version 0.1.1)
